View Issue Details

IDProjectCategoryView StatusLast Update
12227Bug reportsImport/Exportpublic2018-06-15 14:27
Reportervkuzmin Assigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.64.x 
Fixed in Version3.8.x 
Summary12227: "Error: Failed to insert data" and corrupted quotas when i've tried to import old (v2.5.xx) surveys
Description

I've tried 'debug'=>2, but got same short error message.
When i try to edit quotas that page won't work. See PHP notice also.

Steps To Reproduce
  1. Import my .lss file - you should get and error.
  2. Try to edit quotas.
Additional Information

In 2.55.2 (161103) that .lss file works fine.

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.64.2+170324
I will donate to the project if issue is resolvedNo
BrowserChrome 55
Database & DB-VersionMySQL 5.7.14
Server OS (if known)Windows 7 sp1 x64
Webserver software & version (if known)Apache/2.4.23 (Win32)
PHP VersionPHP/5.6.24

Relationships

has duplicate 13717 closedDenisChenu Survey with quota (from 2.64) broke on import 

Activities

vkuzmin

vkuzmin

2017-03-24 16:44

reporter  

corrupted quotas.lss (157,975 bytes)
PHP notice.html (49,259 bytes)   
<!DOCTYPE html PUBLIC
	"-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>PHP notice</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP notice</h1>

	<p class="message">
		Trying to get property of non-object	</p>

	<div class="source">
		<p class="file">\limesurvey\application\views\admin\quotas\viewquotas_quota_members.php(24)</p>
		<div class="code"><pre><span class="ln">12</span>     $icon = &#039;fa-exclamation-circle&#039;;
<span class="ln">13</span> } elseif ($oQuota-&gt;action == Quota::ACTION_CONFIRM_TERMINATE){
<span class="ln">14</span>     $tooltip = gT(&quot;Allow user to modify his last answers before terminate survey.&quot;);
<span class="ln">15</span>     $icon = &#039;fa-exclamation-triangle&#039;;
<span class="ln">16</span> }
<span class="ln">17</span> ?&gt;
<span class="ln">18</span> 
<span class="ln">19</span> &lt;div class=&quot;panel panel-&lt;?php echo ($oQuota-&gt;active==1 ? &#039;primary&#039; : &#039;default&#039;) ?&gt;&quot;&gt;
<span class="ln">20</span>     &lt;div class=&quot;panel-heading&quot;&gt;
<span class="ln">21</span>         &lt;div class=&quot;pull-right small&quot;&gt;
<span class="ln">22</span>             &lt;span&gt;&lt;span class=&quot;fa &lt;?php echo $icon?&gt;&quot;&gt;&lt;/span&gt; &lt;?php echo $tooltip;?&gt;&lt;/span&gt;
<span class="ln">23</span>             &lt;?php if($oQuota-&gt;autoload_url == 1):?&gt;
<span class="error"><span class="ln error-ln">24</span>                 &lt;span&gt;&lt;span class=&quot;fa fa-external-link&quot;&gt;&lt;/span&gt; &lt;?php echo gT(&#039;Autoload URL:&#039;).&#039; &#039;.htmlentities($oQuota-&gt;mainLanguagesetting-&gt;quotals_url);?&gt;&quot;&lt;/span&gt;
</span><span class="ln">25</span>             &lt;?php endif;?&gt;
<span class="ln">26</span>         &lt;/div&gt;
<span class="ln">27</span>         &lt;?php echo viewHelper::flatEllipsizeText($oQuota-&gt;name) ;?&gt;
<span class="ln">28</span>     &lt;/div&gt;
<span class="ln">29</span>     &lt;table class=&quot;table table-quota-items table-striped table-condensed&quot; &gt;
<span class="ln">30</span>         &lt;thead&gt;
<span class="ln">31</span>             &lt;tr&gt;
<span class="ln">32</span>                 &lt;th&gt;&lt;?php eT(&#039;Question&#039;);?&gt;&lt;/th&gt;
<span class="ln">33</span>                 &lt;th&gt;&lt;?php eT(&#039;Answer&#039;);?&gt;&lt;/th&gt;
<span class="ln">34</span>                 &lt;th class=&quot;text-right&quot;&gt;
<span class="ln">35</span>                     &lt;?php echo CHtml::beginForm(array(&quot;admin/quotas/sa/new_answer/surveyid/{$oSurvey-&gt;getPrimaryKey()}&quot;), &#039;post&#039;);?&gt;
<span class="ln">36</span>                     &lt;?php echo CHtml::hiddenField(&#039;sid&#039;,$oSurvey-&gt;getPrimaryKey());?&gt;
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CBaseController.php(126): <strong>require</strong>(&quot;\limesurvey\application\vie...&quot;)				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CBaseController.php(95): <strong>CBaseController</strong>-><strong>renderInternal</strong>(&quot;\limesurvey\application\vie...&quot;, array(&quot;oSurvey&quot; =&gt; Survey, &quot;oQuota&quot; =&gt; Quota, &quot;aQuotaItems&quot; =&gt; array(1330 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1331 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1332 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1333 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), ...)), true)				</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension===&#039;.&#039;.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CController.php(869): <strong>CBaseController</strong>-><strong>renderFile</strong>(&quot;\limesurvey\application\vie...&quot;, array(&quot;oSurvey&quot; =&gt; Survey, &quot;oQuota&quot; =&gt; Quota, &quot;aQuotaItems&quot; =&gt; array(1330 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1331 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1332 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1333 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), ...)), true)				</div>

				<div class="code"><pre><span class="ln">864</span>      */
<span class="ln">865</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">866</span>     {
<span class="ln">867</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">868</span>         {
<span class="error"><span class="ln error-ln">869</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">870</span>             if($processOutput)
<span class="ln">871</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">872</span>             if($return)
<span class="ln">873</span>                 return $output;
<span class="ln">874</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\application\views\admin\quotas\viewquotas_view.php(78): <strong>CController</strong>-><strong>renderPartial</strong>(&quot;/admin/quotas/viewquotas_quota_members&quot;, array(&quot;oSurvey&quot; =&gt; Survey, &quot;oQuota&quot; =&gt; Quota, &quot;aQuotaItems&quot; =&gt; array(1330 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1331 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1332 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), 1333 =&gt; array(array(&quot;oQuestion&quot; =&gt; Question, &quot;answer_title&quot; =&gt; &quot;Some question text&quot;, &quot;oQuotaMember&quot; =&gt; QuotaMember)), ...)))				</div>

				<div class="code"><pre><span class="ln">73</span>                                     $out = &#039;&lt;p&gt;&#039;.$this-&gt;renderPartial(&#039;/admin/quotas/viewquotas_quota_members&#039;,
<span class="ln">74</span>                                         array(
<span class="ln">75</span>                                             &#039;oSurvey&#039;=&gt;$oSurvey,
<span class="ln">76</span>                                             &#039;oQuota&#039;=&gt;$oQuota,
<span class="ln">77</span>                                             &#039;aQuotaItems&#039;=&gt;$aQuotaItems,
<span class="error"><span class="ln error-ln">78</span>                                     )).&#039;&lt;p&gt;&#039;;
</span><span class="ln">79</span>                                     return $out;
<span class="ln">80</span>                                 },
<span class="ln">81</span>                             ),
<span class="ln">82</span>                             array(
<span class="ln">83</span>                                 &#039;name&#039;=&gt;&#039;completed&#039;,
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>CBaseController</strong>-><strong>{closure}</strong>(Quota, 0, TbDataColumn)				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\base\CComponent.php(617): <strong>call_user_func_array</strong>(Closure, array(&quot;data&quot; =&gt; Quota, &quot;row&quot; =&gt; 0, 0 =&gt; TbDataColumn))				</div>

				<div class="code"><pre><span class="ln">612</span>             return eval(&#039;return &#039;.$_expression_.&#039;;&#039;);
<span class="ln">613</span>         }
<span class="ln">614</span>         else
<span class="ln">615</span>         {
<span class="ln">616</span>             $_data_[]=$this;
<span class="error"><span class="ln error-ln">617</span>             return call_user_func_array($_expression_, $_data_);
</span><span class="ln">618</span>         }
<span class="ln">619</span>     }
<span class="ln">620</span> }
<span class="ln">621</span> 
<span class="ln">622</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\grid\CDataColumn.php(142): <strong>CComponent</strong>-><strong>evaluateExpression</strong>(Closure, array(&quot;data&quot; =&gt; Quota, &quot;row&quot; =&gt; 0))				</div>

				<div class="code"><pre><span class="ln">137</span>      */
<span class="ln">138</span>     public function getDataCellContent($row)
<span class="ln">139</span>     {
<span class="ln">140</span>         $data=$this-&gt;grid-&gt;dataProvider-&gt;data[$row];
<span class="ln">141</span>         if($this-&gt;value!==null)
<span class="error"><span class="ln error-ln">142</span>             $value=$this-&gt;evaluateExpression($this-&gt;value,array(&#039;data&#039;=&gt;$data,&#039;row&#039;=&gt;$row));
</span><span class="ln">143</span>         elseif($this-&gt;name!==null)
<span class="ln">144</span>             $value=CHtml::value($data,$this-&gt;name);
<span class="ln">145</span>         return $value===null ? $this-&gt;grid-&gt;nullDisplay : $this-&gt;grid-&gt;getFormatter()-&gt;format($value,$this-&gt;type);
<span class="ln">146</span>     }
<span class="ln">147</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\grid\CGridColumn.php(231): <strong>CDataColumn</strong>-><strong>getDataCellContent</strong>(0)				</div>

				<div class="code"><pre><span class="ln">226</span>      * @param mixed $data the data associated with the row
<span class="ln">227</span>      * @deprecated since 1.1.16. Use {@link getDataCellContent()} instead.
<span class="ln">228</span>      */
<span class="ln">229</span>     protected function renderDataCellContent($row,$data)
<span class="ln">230</span>     {
<span class="error"><span class="ln error-ln">231</span>         echo $this-&gt;getDataCellContent($row);
</span><span class="ln">232</span>     }
<span class="ln">233</span> 
<span class="ln">234</span>     /**
<span class="ln">235</span>      * Returns the filter cell content.
<span class="ln">236</span>      * The default implementation simply returns an empty column.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\grid\CGridColumn.php(154): <strong>CGridColumn</strong>-><strong>renderDataCellContent</strong>(0, Quota)				</div>

				<div class="code"><pre><span class="ln">149</span>                 else
<span class="ln">150</span>                     $options[&#039;class&#039;]=$class;
<span class="ln">151</span>             }
<span class="ln">152</span>         }
<span class="ln">153</span>         echo CHtml::openTag(&#039;td&#039;,$options);
<span class="error"><span class="ln error-ln">154</span>         $this-&gt;renderDataCellContent($row,$data);
</span><span class="ln">155</span>         echo &#039;&lt;/td&gt;&#039;;
<span class="ln">156</span>     }
<span class="ln">157</span> 
<span class="ln">158</span>     /**
<span class="ln">159</span>      * Renders the footer cell.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\grid\CGridView.php(638): <strong>CGridColumn</strong>-><strong>renderDataCell</strong>(0)				</div>

				<div class="code"><pre><span class="ln">633</span>      * @param integer $row
<span class="ln">634</span>      * @since 1.1.16
<span class="ln">635</span>      */
<span class="ln">636</span>     protected function renderDataCell($column, $row)
<span class="ln">637</span>     {
<span class="error"><span class="ln error-ln">638</span>         $column-&gt;renderDataCell($row);
</span><span class="ln">639</span>     }
<span class="ln">640</span>     
<span class="ln">641</span>     /**
<span class="ln">642</span>      * @return boolean whether the table should render a footer.
<span class="ln">643</span>      * This is true if any of the {@link columns} has a true {@link CGridColumn::hasFooter} value.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\grid\CGridView.php(622): <strong>CGridView</strong>-><strong>renderDataCell</strong>(TbDataColumn, 0)				</div>

				<div class="code"><pre><span class="ln">617</span>                 $htmlOptions[&#039;class&#039;]=$class;
<span class="ln">618</span>         }
<span class="ln">619</span> 
<span class="ln">620</span>         echo CHtml::openTag(&#039;tr&#039;, $htmlOptions).&quot;\n&quot;;
<span class="ln">621</span>         foreach($this-&gt;columns as $column)
<span class="error"><span class="ln error-ln">622</span>             $this-&gt;renderDataCell($column, $row);
</span><span class="ln">623</span>         echo &quot;&lt;/tr&gt;\n&quot;;
<span class="ln">624</span>     }
<span class="ln">625</span> 
<span class="ln">626</span>     /**
<span class="ln">627</span>      * A seam for people extending CGridView to be able to hook onto the data cell rendering process.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\grid\CGridView.php(578): <strong>CGridView</strong>-><strong>renderTableRow</strong>(0)				</div>

				<div class="code"><pre><span class="ln">573</span>         echo &quot;&lt;tbody&gt;\n&quot;;
<span class="ln">574</span> 
<span class="ln">575</span>         if($n&gt;0)
<span class="ln">576</span>         {
<span class="ln">577</span>             for($row=0;$row&lt;$n;++$row)
<span class="error"><span class="ln error-ln">578</span>                 $this-&gt;renderTableRow($row);
</span><span class="ln">579</span>         }
<span class="ln">580</span>         else
<span class="ln">581</span>         {
<span class="ln">582</span>             echo &#039;&lt;tr&gt;&lt;td colspan=&quot;&#039;.count($this-&gt;columns).&#039;&quot; class=&quot;empty&quot;&gt;&#039;;
<span class="ln">583</span>             $this-&gt;renderEmptyText();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\grid\CGridView.php(488): <strong>CGridView</strong>-><strong>renderTableBody</strong>()				</div>

				<div class="code"><pre><span class="ln">483</span>         if($this-&gt;dataProvider-&gt;getItemCount()&gt;0 || $this-&gt;showTableOnEmpty)
<span class="ln">484</span>         {
<span class="ln">485</span>             echo &quot;&lt;table class=\&quot;{$this-&gt;itemsCssClass}\&quot;&gt;\n&quot;;
<span class="ln">486</span>             $this-&gt;renderTableHeader();
<span class="ln">487</span>             ob_start();
<span class="error"><span class="ln error-ln">488</span>             $this-&gt;renderTableBody();
</span><span class="ln">489</span>             $body=ob_get_clean();
<span class="ln">490</span>             $this-&gt;renderTableFooter();
<span class="ln">491</span>             echo $body; // TFOOT must appear before TBODY according to the standard.
<span class="ln">492</span>             echo &quot;&lt;/table&gt;&quot;;
<span class="ln">493</span>         }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\CBaseListView.php(181): <strong>CGridView</strong>-><strong>renderItems</strong>()				</div>

				<div class="code"><pre><span class="ln">176</span>     protected function renderSection($matches)
<span class="ln">177</span>     {
<span class="ln">178</span>         $method=&#039;render&#039;.$matches[1];
<span class="ln">179</span>         if(method_exists($this,$method))
<span class="ln">180</span>         {
<span class="error"><span class="ln error-ln">181</span>             $this-&gt;$method();
</span><span class="ln">182</span>             $html=ob_get_contents();
<span class="ln">183</span>             ob_clean();
<span class="ln">184</span>             return $html;
<span class="ln">185</span>         }
<span class="ln">186</span>         else
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>CBaseListView</strong>-><strong>renderSection</strong>(array(&quot;{items}&quot;, &quot;items&quot;))				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\CBaseListView.php(164): <strong>preg_replace_callback</strong>(&quot;/{(\w+)}/&quot;, array(TbGridView, &quot;renderSection&quot;), &quot;{items}
&lt;div class=&quot;row-fluid&quot;&gt;&lt;div class=&quot;span6&quot;&gt;{pager}&lt;/div&gt;&lt;...&quot;)				</div>

				<div class="code"><pre><span class="ln">159</span>      * The rendering results will replace the corresponding placeholders in {@link template}.
<span class="ln">160</span>      */
<span class="ln">161</span>     public function renderContent()
<span class="ln">162</span>     {
<span class="ln">163</span>         ob_start();
<span class="error"><span class="ln error-ln">164</span>         echo preg_replace_callback(&quot;/{(\w+)}/&quot;,array($this,&#039;renderSection&#039;),$this-&gt;template);
</span><span class="ln">165</span>         ob_end_flush();
<span class="ln">166</span>     }
<span class="ln">167</span> 
<span class="ln">168</span>     /**
<span class="ln">169</span>      * Renders a section.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\zii\widgets\CBaseListView.php(149): <strong>CBaseListView</strong>-><strong>renderContent</strong>()				</div>

				<div class="code"><pre><span class="ln">144</span>     {
<span class="ln">145</span>         $this-&gt;registerClientScript();
<span class="ln">146</span> 
<span class="ln">147</span>         echo CHtml::openTag($this-&gt;tagName,$this-&gt;htmlOptions).&quot;\n&quot;;
<span class="ln">148</span> 
<span class="error"><span class="ln error-ln">149</span>         $this-&gt;renderContent();
</span><span class="ln">150</span>         $this-&gt;renderKeys();
<span class="ln">151</span> 
<span class="ln">152</span>         echo CHtml::closeTag($this-&gt;tagName);
<span class="ln">153</span>     }
<span class="ln">154</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CBaseController.php(181): <strong>CBaseListView</strong>-><strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">176</span>             return ob_get_clean();
<span class="ln">177</span>         }
<span class="ln">178</span>         else
<span class="ln">179</span>         {
<span class="ln">180</span>             $widget=$this-&gt;createWidget($className,$properties);
<span class="error"><span class="ln error-ln">181</span>             $widget-&gt;run();
</span><span class="ln">182</span>             return $widget;
<span class="ln">183</span>         }
<span class="ln">184</span>     }
<span class="ln">185</span> 
<span class="ln">186</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\application\views\admin\quotas\viewquotas_view.php(124): <strong>CBaseController</strong>-><strong>widget</strong>(&quot;bootstrap.widgets.TbGridView&quot;, array(&quot;dataProvider&quot; =&gt; CArrayDataProvider, &quot;id&quot; =&gt; &quot;quota-grid&quot;, &quot;emptyText&quot; =&gt; &quot;No quotas&quot;, &quot;summaryText&quot; =&gt; &quot;Displaying {start}-{end} of {count} result(s). &lt;select class=&quot;ch...&quot;, ...))				</div>

				<div class="code"><pre><span class="ln">119</span>                             ),
<span class="ln">120</span> 
<span class="ln">121</span>                         ),
<span class="ln">122</span>                         &#039;itemsCssClass&#039; =&gt;&#039;table-quotas table-striped table-condensed&#039;,
<span class="ln">123</span>                         &#039;ajaxUpdate&#039; =&gt; true,
<span class="error"><span class="ln error-ln">124</span>                     ));
</span><span class="ln">125</span>                     ?&gt;
<span class="ln">126</span>                 &lt;/div&gt;
<span class="ln">127</span>                 &lt;?php endif; ?&gt;
<span class="ln">128</span> 
<span class="ln">129</span>                 &lt;?php if (Permission::model()-&gt;hasSurveyPermission($oSurvey-&gt;getPrimaryKey(), &#039;quotas&#039;,&#039;create&#039;)):?&gt;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#19			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CBaseController.php(126): <strong>require</strong>(&quot;\limesurvey\application\vie...&quot;)				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#20			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CBaseController.php(95): <strong>CBaseController</strong>-><strong>renderInternal</strong>(&quot;\limesurvey\application\vie...&quot;, array(&quot;surveyid&quot; =&gt; &quot;851717&quot;, &quot;iSurveyId&quot; =&gt; &quot;851717&quot;, &quot;sBaseLang&quot; =&gt; &quot;ru&quot;, &quot;aLangs&quot; =&gt; array(&quot;ru&quot;), ...), true)				</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension===&#039;.&#039;.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#21			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CController.php(869): <strong>CBaseController</strong>-><strong>renderFile</strong>(&quot;\limesurvey\application\vie...&quot;, array(&quot;surveyid&quot; =&gt; &quot;851717&quot;, &quot;iSurveyId&quot; =&gt; &quot;851717&quot;, &quot;sBaseLang&quot; =&gt; &quot;ru&quot;, &quot;aLangs&quot; =&gt; array(&quot;ru&quot;), ...), true)				</div>

				<div class="code"><pre><span class="ln">864</span>      */
<span class="ln">865</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">866</span>     {
<span class="ln">867</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">868</span>         {
<span class="error"><span class="ln error-ln">869</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">870</span>             if($processOutput)
<span class="ln">871</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">872</span>             if($return)
<span class="ln">873</span>                 return $output;
<span class="ln">874</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#22			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\application\core\Survey_Common_Action.php(303): <strong>CController</strong>-><strong>renderPartial</strong>(&quot;/admin/quotas/viewquotas_view&quot;, array(&quot;surveyid&quot; =&gt; &quot;851717&quot;, &quot;iSurveyId&quot; =&gt; &quot;851717&quot;, &quot;sBaseLang&quot; =&gt; &quot;ru&quot;, &quot;aLangs&quot; =&gt; array(&quot;ru&quot;), ...))				</div>

				<div class="code"><pre><span class="ln">298</span>         {
<span class="ln">299</span>             if (empty($sViewKey) || !in_array($sViewKey, array(&#039;message&#039;, &#039;output&#039;)))
<span class="ln">300</span>             {
<span class="ln">301</span>                 if (is_numeric($sViewKey))
<span class="ln">302</span>                 {
<span class="error"><span class="ln error-ln">303</span>                     Yii::app()-&gt;getController()-&gt;renderPartial($sViewPath . $viewUrl, $aData);
</span><span class="ln">304</span>                 }
<span class="ln">305</span>                 elseif (is_array($viewUrl))
<span class="ln">306</span>                 {
<span class="ln">307</span>                     foreach ($viewUrl as $aSubData)
<span class="ln">308</span>                     {
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#23			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\application\controllers\admin\quotas.php(648): <strong>Survey_Common_Action</strong>-><strong>_renderWrappedTemplate</strong>(&quot;quotas&quot;, array(0 =&gt; &quot;viewquotas_view&quot;, &quot;output&quot; =&gt; &quot;&quot;), array(&quot;surveyid&quot; =&gt; &quot;851717&quot;, &quot;iSurveyId&quot; =&gt; &quot;851717&quot;, &quot;sBaseLang&quot; =&gt; &quot;ru&quot;, &quot;aLangs&quot; =&gt; array(&quot;ru&quot;), ...))				</div>

				<div class="code"><pre><span class="ln">643</span>      * @param array $aData Data to be passed on. Optional.
<span class="ln">644</span>      */
<span class="ln">645</span>     protected function _renderWrappedTemplate($sAction = &#039;quotas&#039;, $aViewUrls = array(), $aData = array())
<span class="ln">646</span>     {
<span class="ln">647</span>         $this-&gt;registerScriptFile( &#039;ADMIN_SCRIPT_PATH&#039;, &#039;quotas.js&#039;);
<span class="error"><span class="ln error-ln">648</span>         parent::_renderWrappedTemplate($sAction, $aViewUrls, $aData);
</span><span class="ln">649</span>     }
<span class="ln">650</span> 
<span class="ln">651</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#24			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\application\controllers\admin\quotas.php(250): <strong>quotas</strong>-><strong>_renderWrappedTemplate</strong>(&quot;quotas&quot;, array(0 =&gt; &quot;viewquotas_view&quot;, &quot;output&quot; =&gt; &quot;&quot;), array(&quot;surveyid&quot; =&gt; &quot;851717&quot;, &quot;iSurveyId&quot; =&gt; &quot;851717&quot;, &quot;sBaseLang&quot; =&gt; &quot;ru&quot;, &quot;aLangs&quot; =&gt; array(&quot;ru&quot;), ...))				</div>

				<div class="code"><pre><span class="ln">245</span>         $aData[&#039;totalquotas&#039;] = $totalquotas;
<span class="ln">246</span>         $aData[&#039;totalcompleted&#039;] = $totalcompleted;
<span class="ln">247</span> 
<span class="ln">248</span>         if ($quickreport == false)
<span class="ln">249</span>         {
<span class="error"><span class="ln error-ln">250</span>             $this-&gt;_renderWrappedTemplate(&#039;quotas&#039;, $aViewUrls, $aData);
</span><span class="ln">251</span>         }
<span class="ln">252</span>         else
<span class="ln">253</span>         {
<span class="ln">254</span> 
<span class="ln">255</span>             //// WHY ???????
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#25			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>quotas</strong>-><strong>index</strong>(&quot;851717&quot;, false)				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#26			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\actions\CAction.php(109): <strong>ReflectionMethod</strong>-><strong>invokeArgs</strong>(quotas, array(&quot;851717&quot;, false))				</div>

				<div class="code"><pre><span class="ln">104</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">105</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">106</span>             else
<span class="ln">107</span>                 return false;
<span class="ln">108</span>         }
<span class="error"><span class="ln error-ln">109</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">110</span>         return true;
<span class="ln">111</span>     }
<span class="ln">112</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#27			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\application\core\Survey_Common_Action.php(96): <strong>CAction</strong>-><strong>runWithParamsInternal</strong>(quotas, ReflectionMethod, array(&quot;surveyid&quot; =&gt; &quot;851717&quot;, &quot;sa&quot; =&gt; &quot;view&quot;, &quot;iSurveyId&quot; =&gt; &quot;851717&quot;, &quot;iSurveyID&quot; =&gt; &quot;851717&quot;))				</div>

				<div class="code"><pre><span class="ln">091</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">092</span>         }
<span class="ln">093</span> 
<span class="ln">094</span>         // We&#039;re all good to go, let&#039;s execute it
<span class="ln">095</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">096</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">097</span>     }
<span class="ln">098</span> 
<span class="ln">099</span>     /**
<span class="ln">100</span>     * Some functions have different parameters, which are just an alias of the
<span class="ln">101</span>     * usual parameters we&#039;re getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#28			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CController.php(308): <strong>Survey_Common_Action</strong>-><strong>runWithParams</strong>(array(&quot;surveyid&quot; =&gt; &quot;851717&quot;, &quot;sa&quot; =&gt; &quot;view&quot;))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#29			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CController.php(286): <strong>CController</strong>-><strong>runAction</strong>(quotas)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#30			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CController.php(265): <strong>CController</strong>-><strong>runActionWithFilters</strong>(quotas, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#31			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\application\controllers\AdminController.php(177): <strong>CController</strong>-><strong>run</strong>(&quot;quotas&quot;)				</div>

				<div class="code"><pre><span class="ln">172</span>                     $this-&gt;redirect(array(&#039;/admin/authentication/sa/login&#039;));
<span class="ln">173</span>                 }
<span class="ln">174</span> 
<span class="ln">175</span>             }
<span class="ln">176</span> 
<span class="error"><span class="ln error-ln">177</span>             return parent::run($action);
</span><span class="ln">178</span>     }
<span class="ln">179</span> 
<span class="ln">180</span>     /**
<span class="ln">181</span>     * Routes all the actions to their respective places
<span class="ln">182</span>     *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#32			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CWebApplication.php(282): <strong>AdminController</strong>-><strong>run</strong>(&quot;quotas&quot;)				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t(&#039;yii&#039;,&#039;Unable to resolve the request &quot;{route}&quot;.&#039;,
<span class="ln">287</span>                 array(&#039;{route}&#039;=&gt;$route===&#039;&#039;?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#33			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\web\CWebApplication.php(141): <strong>CWebApplication</strong>-><strong>runController</strong>(&quot;admin/quotas/sa/view&quot;)				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#34			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\framework\base\CApplication.php(185): <strong>CWebApplication</strong>-><strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler(&#039;onBeginRequest&#039;))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,&#039;end&#039;),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler(&#039;onEndRequest&#039;))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#35			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;\limesurvey\index.php(214): <strong>CApplication</strong>-><strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">209</span>         die (sprintf(&#039;%s should be writable by the webserver (766 or 776).&#039;, $sDefaultRuntimePath));
<span class="ln">210</span>     }
<span class="ln">211</span> }
<span class="ln">212</span> 
<span class="ln">213</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">214</span> Yii::createApplication(&#039;LSYii_Application&#039;, $config)-&gt;run();
</span><span class="ln">215</span> 
<span class="ln">216</span> /* End of file index.php */
<span class="ln">217</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</table>
	</div>

	<div class="version">
		2017-03-24 15:35:33 Apache/2.4.23 (Win32) PHP/5.6.24 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.17	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>

</body>
</html>
PHP notice.html (49,259 bytes)   
vkuzmin

vkuzmin

2017-03-24 16:45

reporter   ~43335

Also i've tried to import this file in 2.55 and run last limesurvey with same DB and it works fine. So i think its import issue.

vkuzmin

vkuzmin

2017-03-24 17:02

reporter   ~43336

2.55.xx, not 2.5.xx

vkuzmin

vkuzmin

2017-03-24 17:13

reporter   ~43337

I've tried to copy (Create survey-Copy) old survey with quotas and got same error message too.

user14106

2017-03-27 11:14

  ~43346

Last edited: 2017-03-27 11:19

View 2 revisions

the reason for failing import is that you have autoload url enabled but no url defined.
The new quotaLanguagesetting model has additional validation rule to check that

So I would say it is not a bug.
It's a problem that model validation errors do not get thrown to user, but this is a much wider problem in the code.

To fix that. Please set an url for autoload. Or disable autoload url. And then re-export and import.

user14106

2017-03-27 11:15

  ~43347

https://github.com/LimeSurvey/LimeSurvey/blob/master/application/models/QuotaLanguageSetting.php#L94

vkuzmin

vkuzmin

2017-03-27 12:27

reporter   ~43348

Thank you! "Autoload url" was set to On by default previously.

Mazi

Mazi

2018-03-20 16:30

partner   ~47142

Can't we fix this at the import skript? Because the common user will never think that this may cause the issue!

Or can we at least have a more meaningful error message pointing to the cause of the issue?

DenisChenu

DenisChenu

2018-03-20 16:45

developer   ~47144

@Mazi : you're right : we must show error to user, even without importing survey, then i reopen.

Can you confirm it break too with 3.5

Mazi

Mazi

2018-03-20 17:59

partner   ~47146

Test with latest 3.x version, build 180320 -> exact same error!

LouisGac

LouisGac

2018-05-23 10:45

developer   ~47724

that should be pretty easy to fix indeed.

guest

guest

2018-05-28 11:00

viewer   ~47869

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=27238

c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48139

New version released.

Related Changesets

LimeSurvey: master 91b646d6

2018-05-28 10:59:40

Dominik Vitt

Details Diff
Fixed issue 12227: "Error: Failed to insert data" and corrupted quotas when i've tried to import old (v2.5.xx) surveys Affected Issues
12227
mod - application/helpers/admin/import_helper.php Diff File
mod - application/models/QuotaLanguageSetting.php Diff File

Issue History

Date Modified Username Field Change
2017-03-24 16:44 vkuzmin New Issue
2017-03-24 16:44 vkuzmin File Added: corrupted quotas.lss
2017-03-24 16:44 vkuzmin File Added: PHP notice.html
2017-03-24 16:45 vkuzmin Note Added: 43335
2017-03-24 17:02 vkuzmin Note Added: 43336
2017-03-24 17:13 vkuzmin Note Added: 43337
2017-03-27 11:14 user14106 Note Added: 43346
2017-03-27 11:15 user14106 Note Added: 43347
2017-03-27 11:19 user14106 Note Edited: 43346 View Revisions
2017-03-27 12:27 vkuzmin Note Added: 43348
2017-03-27 12:30 user14106 Assigned To => user14106
2017-03-27 12:30 user14106 Status new => closed
2017-03-27 12:30 user14106 Resolution open => no change required
2017-03-27 12:30 user14106 Fixed in Version => 2.64.x
2018-03-20 16:30 Mazi Note Added: 47142
2018-03-20 16:30 Mazi Assigned To user14106 =>
2018-03-20 16:30 Mazi Status closed => acknowledged
2018-03-20 16:44 DenisChenu Status acknowledged => new
2018-03-20 16:44 DenisChenu Resolution no change required => open
2018-03-20 16:45 DenisChenu Note Added: 47144
2018-03-20 17:59 Mazi Note Added: 47146
2018-05-23 10:44 LouisGac Assigned To => dominikvitt
2018-05-23 10:44 LouisGac Status new => assigned
2018-05-23 10:45 LouisGac Note Added: 47724
2018-05-28 11:00 Changeset attached => LimeSurvey master 91b646d6
2018-05-28 11:00 guest Note Added: 47869
2018-05-28 11:00 guest Resolution open => fixed
2018-05-28 11:02 dominikvitt Status assigned => resolved
2018-05-28 11:02 dominikvitt Fixed in Version 2.64.x => 3.8.x
2018-05-28 15:31 DenisChenu Relationship added has duplicate 13717
2018-06-02 12:56 DenisChenu Relationship added has duplicate 13726
2018-06-02 12:56 DenisChenu Relationship deleted has duplicate 13726
2018-06-15 14:27 c_schmitz Note Added: 48139
2018-06-15 14:27 c_schmitz Status resolved => closed